Bug 441535 - F-9 pv_ops xen: Oops during x86_64 guest install (page_referenced_one)
F-9 pv_ops xen: Oops during x86_64 guest install (page_referenced_one)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Eduardo Habkost
Virtualization Bugs
:
Depends On:
Blocks: PvOpsTracker
  Show dependency treegraph
 
Reported: 2008-04-08 12:18 EDT by Orion Poplawski
Modified: 2009-12-14 15:41 EST (History)
1 user (show)

See Also:
Fixed In Version: kernel-xen-2.6.25-0.20.rc8.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 09:24:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2008-04-08 12:18:58 EDT
Description of problem:

Trying to install x86_64 rawhide guest onto x86_64 F8 host.  While formatting
the root filesystem I get:

BUG: unable to handle kernel paging request at ffff88000352a010                
                            
IP: [<ffffffff8028c26a>] page_referenced_one+0x84/0x10d
PGD 3cf6067 PUD 3cf7067 PMD 8000000003d12067 PTE 801000000352a065
Oops: 0003 [1]
CPU 0
Modules linked in: sha256_generic aes_generic cbc dm_crypt crypto_blkcipher
dm_emc dm_round_robin dm_multipath dm_snapshot dm_mirror dm_zero dm_mod xfs jfs
reiserfs lock_nolock gfs2 msdos linear raid10 raid456 async_xor async_memcpy
async_tx xor raid1 raid0 xen_netfront xen_blkfront ipv6 iscsi_tcp libiscsi
scsi_transport_iscsi scsi_mod ext2 ext3 jbd ext4dev jbd2 mbcache crc16 squashfs
pcspkr edd loop nfs lockd nfs_acl sunrpc vfat fat cramfs
Pid: 115, comm: kswapd0 Not tainted 2.6.25-0.18.rc8.fc9.x86_64.xen #1xt screen
RIP: e030:[<ffffffff8028c26a>]  [<ffffffff8028c26a>] page_referenced_one+0x84/0x10d
RSP: e02b:ffff88001c299a10  EFLAGS: 00010202
RAX: 000000001ca6d125 RBX: ffff880003528870 RCX: 0000000000000000
RDX: 000000001ca6d000 RSI: 0000000000000000 RDI: 0000000013795125
RBP: ffff88001c299a50 R08: 0000000000000002 R09: ffff88001c299a20
R10: ffff88001c299d68 R11: ffff88001c299d50 R12: 0000000000402000
R13: ffff8800034d7400 R14: ffff88001c299a9c R15: ffff88000352a010
FS:  00007fcca77957e0(0000) GS:ffffffff805fc000(0000) knlGS:0000000000000000
CS:  e033 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: ffff88000352a010 CR3: 000000000de04000 CR4: 0000000000000660
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000000
Process kswapd0 (pid: 115, threadinfo ffff88001c298000, task ffff88001fd1c000)
Stack:  0000000000000000 ffff88000443f958 ffff8800034d74d8 ffff880003528870
 0000000000000000 ffff88000443f958 ffff88001facdd80 ffff88001c299a9c
 ffff88001c299ad0 ffffffff8028c583 ffff8800035288b8 0000000000000010
Call Trace:
 [<ffffffff8028c583>] page_referenced_file+0x8a/0xc1
 [<ffffffff8028d0aa>] page_referenced+0xd4/0x114
 [<ffffffff8027f751>] shrink_page_list+0x12f/0x5b1
 [<ffffffff8027f44d>] ? shrink_active_list+0x42a/0x4c2
 [<ffffffff80328335>] ? list_add+0xc/0xf
 [<ffffffff8027ee64>] ? isolate_lru_pages+0xae/0x239
 [<ffffffff8027fc2b>] ? shrink_inactive_list+0x58/0x3d6
 [<ffffffff802506c0>] ? lock_release+0x176/0x186
 [<ffffffff8027fd56>] shrink_inactive_list+0x183/0x3d6
 [<ffffffff80280076>] shrink_zone+0xcd/0xf0
 [<ffffffff80280587>] kswapd+0x3a7/0x51e
 [<ffffffff8024621a>] ? hrtimer_start+0x2a/0xbc
 [<ffffffff802506c0>] ? lock_release+0x176/0x186
 [<ffffffff8027efef>] ? isolate_pages_global+0x0/0x34
 [<ffffffff80243527>] ? autoremove_wake_function+0x0/0x38
 [<ffffffff804846e0>] ? thread_return+0x4a/0x6f
 [<ffffffff802801e0>] ? kswapd+0x0/0x51e
 [<ffffffff8024321a>] kthread+0x49/0x76
 [<ffffffff80211a79>] child_rip+0xa/0x11
 [<ffffffff80211591>] ? restore_args+0x0/0x30
 [<ffffffff80211a6f>] ? child_rip+0x0/0x11


Code: 48 85 c0 49 89 c7 0f 84 8a 00 00 00 f6 43 29 20 74 0c 41 c7 06 01 00 00 00
e9 8f 00 00 00 48 8b 38 e8 27 02 f8 ff 90 a8 20 74 7e <41> 0f ba 37 05 19 c0 85
c0 74 73 48 8b 3b 4c 89 e6 4c 89 fa 66
RIP  [<ffffffff8028c26a>] page_referenced_one+0x84/0x10d
 RSP <ffff88001c299a10>
CR2: ffff88000352a010
Comment 1 Mark McLoughlin 2008-04-08 12:28:40 EDT
What version of kernel-xen is this?
Comment 2 Orion Poplawski 2008-04-08 12:30:07 EDT
2.6.25-0.18.rc8.fc9.x86_64.xen on guest
2.6.21.7-3.fc8xen on host
Comment 3 Eduardo Habkost 2008-04-08 13:10:43 EDT
This looks like another instance of the problem of the PTE page not being pinned
immediately when allocated.

x86_64 pagetable pinning fixes were applied after release 0.18. They will be on
the next build, release 0.20.
Comment 4 Mark McLoughlin 2008-04-10 09:24:32 EDT
Okay, confirmed that an install with kernel-xen-2.6.25-0.20.rc8.fc9 progresses
well beyond formatting. Eventually oops because of bug #441543, though

(kernel-xen-2.6.25-0.20.rc8.fc9 isn't yet tagged for F9, but will be soon)

Note You need to log in before you can comment on or make changes to this bug.